<?php
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

// Block direct access
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Enqueue scripts and styles.
 */
function monji_essential_scripts() {

	wp_enqueue_style( 'monji-style', get_stylesheet_uri() ,array(), wp_get_theme()->get( 'Version' ) );

    // google font
    wp_enqueue_style( 'monji-fonts', monji_google_fonts() ,array(), null );
    wp_enqueue_style( 'monji-helper', get_theme_file_uri( '/assets/css/helper.css' ), array(), '1.0' );
    wp_enqueue_style( 'bootstrap', get_theme_file_uri( '/assets/css/bootstrap.min.css' ) ,array(), '4.3.1' );
    wp_enqueue_style( 'monji-validnavs', get_theme_file_uri( '/assets/css/validnavs.css' ), array(), '1.0' );
    wp_enqueue_style( 'monji-yellow', get_theme_file_uri( '/assets/css/skins/yellow.css' ), array(), '1.0' );
    wp_enqueue_style( 'monji-colorswitcher', get_theme_file_uri( '/assets/css/colorswitcher.css' ), array(), '1.0' );
    wp_enqueue_style( 'fontawesome', get_theme_file_uri( '/assets/css/font-awesome.min.css' ) ,array(), '5.9.0' );
    wp_enqueue_style( 'monji-main-style', get_theme_file_uri('/assets/css/style.css') ,array(), wp_get_theme()->get( 'Version' ) );

    wp_enqueue_style( 'monji-unit-test', get_theme_file_uri( '/assets/css/unit-test.css' ), array(), '1.0' );



    // Load Js

    wp_enqueue_script( 'bootstrap', get_theme_file_uri( '/assets/js/bootstrap.bundle.min.js' ), array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'monji-custom', get_theme_file_uri( '/assets/js/custom.js' ), array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'monji-colorswitcher', get_theme_file_uri( '/assets/js/colorswitcher.js' ), array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'monji-validnavs', get_theme_file_uri( '/assets/js/validnavs.js' ), array( 'jquery' ), '1.0.0', true );
    // comment reply
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}


    $theme_base_url = get_template_directory_uri();

    // Localize the script with the base URL data
    wp_localize_script('monji-custom', 'themeData', array(
        'themeBaseUrl' => $theme_base_url,
    ));

    
}
add_action( 'wp_enqueue_scripts', 'monji_essential_scripts',99 );


function monji_block_editor_assets( ) {
    // Add custom fonts.
	wp_enqueue_style( 'monji-editor-fonts', monji_google_fonts(), array(), null );
}

add_action( 'enqueue_block_editor_assets', 'monji_block_editor_assets' );


function monji_google_fonts() {
    $fonts_url = '';

	/*
	 * translators: If there are characters in your language that are not supported
	 * by Libre Franklin, translate this to 'off'. Do not translate into your own language.
	 */
	$roboto   = _x( 'on', 'Roboto font: on or off', 'monji' );

	if ( 'off' !== $roboto ) {
        $fonts_url = 'https://fonts.googleapis.com/css2?family=Outfit:wght@300;400;500;600;700;800;900&display=swap';
	}

	return esc_url_raw( $fonts_url );
}