<?php
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */


// Block direct access
if( !defined( 'ABSPATH' ) ){
    exit;
}

function monji_widgets_init() {

    if( class_exists('ReduxFramework') ) {
        $monji_sidebar_widget_title_heading_tag = monji_opt('monji_sidebar_widget_title_heading_tag');
    } else {
        $monji_sidebar_widget_title_heading_tag = 'h4';
    }

    //sidebar widgets register
    register_sidebar( array(
        'name'          => esc_html__( 'Blog Sidebar', 'monji' ),
        'id'            => 'monji-blog-sidebar',
        'description'   => esc_html__( 'Add Blog Sidebar Widgets Here.', 'monji' ),
        'before_widget' => '<div id="%1$s" class="sidebar-item widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<div class="title"><'.esc_attr($monji_sidebar_widget_title_heading_tag).'>',
        'after_title'   => '</'.esc_attr($monji_sidebar_widget_title_heading_tag).'></div>',
    ) );

    // page sidebar widgets register
    register_sidebar( array(
        'name'          => esc_html__( 'Page Sidebar', 'monji' ),
        'id'            => 'monji-page-sidebar',
        'description'   => esc_html__( 'Add Page Sidebar Widgets Here.', 'monji' ),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<div class="title"><h4>',
        'after_title'   => '</h4></div>',
    ) );

    if( class_exists( 'ReduxFramework' ) ){
        // footer widgets register
        register_sidebar( array(
           'name'          => esc_html__( 'Footer Widgets Area 1', 'monji' ),
           'id'            => 'monji-footer-1',
           'before_widget' => '<div class="col-lg-4 col-md-6 f-item"><div id="%1$s" class="widget footer-widget %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h4 class="title">',
           'after_title'   => '</h4>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Footer Widgets Area 2', 'monji' ),
           'id'            => 'monji-footer-2',
           'before_widget' => '<div class="col-lg-2 col-md-6 f-item"><div id="%1$s" class="widget footer-widget %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h4 class="title">',
           'after_title'   => '</h4>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Footer Widgets Area 3', 'monji' ),
           'id'            => 'monji-footer-3',
           'before_widget' => '<div class="col-lg-3 col-md-6 f-item"><div id="%1$s" class="widget footer-widget %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h4 class="title">',
           'after_title'   => '</h4>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Footer Widgets Area 4', 'monji' ),
           'id'            => 'monji-footer-4',
           'before_widget' => '<div class="col-lg-3 col-md-6 f-item"><div id="%1$s" class="widget footer-widget %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h4 class="title">',
           'after_title'   => '</h4>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Service Widgets Area', 'monji' ),
           'id'            => 'monji-service-area',
           'before_widget' => '<div class="single-widget"><div id="%1$s" class="services-sidebar %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h4 class="widget-title">',
           'after_title'   => '</h4>',
        ) );
    }

}

add_action( 'widgets_init', 'monji_widgets_init' );